Quassel IRC - Bug #1008

Ugly whois output
07/27/2010 02:48 PM - Anonymous

Status: Resolved Start date: 07/27/2010
Priority: Low Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.7-pre 0S: Any
Description

Still some issues with the whois output in some cases:

® [Whois] Tucos Tucos is logged in as <-- account should be last
¢ [Whois] idle message: nom 74356 1280068712 seconds idle, signon time <-- not parsed, only when no IrcUser is present

Associated revisions

Revision 2d7fa70ddeddb4efdd1c2514a855cf9a6eef39bb - 08/11/2010 06:08 PM - Bas Pape

Parse idle and signon time when there is no IrcUser, fixes #1008

Revision 2d7fa70d - 08/11/2010 06:08 PM - Bas Pape

Parse idle and signon time when there is no IrcUser, fixes #1008

History

#1 - 07/27/2010 02:53 PM - Anonymous

i'll be hacking on this one myself, shouldn't be too hard

#2 - 07/27/2010 05:46 PM - Anonymous

Added merge request which fixes the idle times, but not for the logged in line, because that numeric is not in any of the rfc's (which have no
knowledge about services)

#3 - 07/27/2010 05:50 PM - johu

- Target version set to 0.7.0

#4 - 08/11/2010 07:41 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 2d7fa70ddeddb4efdd1c2514a855¢cf9abeef39bb.
